.input-dropdown {
  display: inline-block;
  position: relative;  
  margin-right: -5px;
}

.input-dropdown input[type='text'] {
  box-sizing: border-box;
  width: 100%;  
}

.input-dropdown ul {
  background: #fff;
  border: 1px solid #000;
  box-sizing: border-box;
  list-style: none;
  margin: 0;
  padding: 0;
  position: absolute;
  width: 100%;
  z-index: 1000;
  max-height: 300px; 
  overflow-y: auto; 
}

.input-dropdown ul > li {
  white-space: pre;
  cursor: pointer;
}

.input-dropdown ul > li.active {
  background: #C0E1A0;
}

.dropdown-caret {
    display: inline-block;
    width: 0;
    height: 0;
    margin-left: -17px;
    vertical-align: middle;
    border-top: 4px dashed;
    border-top: 4px solid;
    border-right: 4px solid transparent;
    border-left: 4px solid transparent;
    position: relative;
    cursor:pointer;
}
